import { AuthParams } from '@zeniai/client-epic-state';
import { DownloadJEScheduleTabOptions } from './types/downloadJESchedulesOptionsPayload';
import { DownloadbleJEScheduleProps } from './types/scheduleTypes';
export declare function prepareDownloadOptions(props: DownloadbleJEScheduleProps): DownloadJEScheduleTabOptions;
export declare function initiateJESchedulesDownload(props: DownloadbleJEScheduleProps): Promise<void>;
export default function downloadJESchedulesTabs(jeScheduleEndPoint: string, authParams: AuthParams, downloadOptions: DownloadJEScheduleTabOptions): Promise<void>;
